ranges::v3::common_pair< F, S > Struct Template Reference
Inheritance diagram for ranges::v3::common_pair< F, S >:

## Public Member Functions

| common_pair () noexcept(std::is_nothrow_default_constructible< F >::value &&std::is_nothrow_default_constructible< S >::value)

## Constructor & Destructor Documentation

## common_pair()

template<typename F, typename S>

ranges::v3::common_pair< F, S >::common_pair | ( |  | ) |

noexcept

Precondition
  DefaultConstructible<F>() && DefaultConstructible<S>()